﻿@import url(http://fonts.googleapis.com/css?family=Quicksand);
@import url(http://fonts.googleapis.com/css?family=Raleway:300);
@import url(http://fonts.googleapis.com/css?family=Alegreya+SC);

* {
    margin: 0;
    padding: 0;
    border: none;
    outline: 0;
    
    font-family: Raleway, "Segoe UI", sans-serif;
}

#container {
    position: fixed;
    
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;

    background-image: url("kaleina-20151227.jpg");
    background-color: #55345f;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: left top;
    background-size: cover;
}


.link {
    list-style: none;

    line-height: 150%;
}

.link a {
    text-decoration: none;
    color: #ffe580;
    
    -webkit-transition: color .4s, text-shadow .4s;
    transition: color .4s, text-shadow .4s;
}

    .link a:hover,
    .link a:focus {
        color: #fff5a5;
        text-shadow:0 0 4px #ffe580;
        
        -webkit-transition: color .2s, text-shadow .2s;
        transition: color .2s, text-shadow .2s;
    }

.tag {
    color: #ffe580;
    opacity: .8;
    font-size: 14px;
    user-select: none;
}

#sidebar {
    position: fixed;

    top: 0;
    bottom: 0;
    right: 0;

    width: 400px;
    
    display: flex;
    flex-direction: column;

    background: -webkit-linear-gradient(right, rgba(85, 52, 95, 1), rgba(85, 52, 95, 0)); /* For Safari 5.1 to 6.0 */
    background: linear-gradient(to left, rgba(85, 52, 95, 1), rgba(85, 52, 95, 0));
    
    text-align: right;
    font-size: 24px;
}

#title {
    padding: 0 30px 10px;

    font-family: "Alegreya SC", serif;
    font-size: 72px;
    color: #ffe580;
}

#links {
    position: relative;

    padding: 0 30px;
    margin: auto 0;
}

@media (min-width: 901px) and (min-height: 1201px) and (orientation: portrait) {
    #container {
        background-image: url("ferry.jpg");
        background-position: center;
    }
}

@media (max-width: 1200px) and (min-height: 515px) and (max-height: 1200px) {
    #container {
        background-image: url("vampy.png");
        background-position: center right;
    }
    #sidebar {
        font-size: 32px;
    }
    #links {
    }
}

@media (max-aspect-ratio: 1/2) and (orientation: portrait) {
    #container {
        background-image: url("rurina.jpg");
        background-position: center bottom;
    }
}

@media (max-width: 1225px) and (max-height: 700px) {
    #container {
        background-image: url("business-card-kaleina-flat.jpg");
        background-position: center center;
    }
    #sidebar {
        font-size: 32px;
    }
}

@media (max-width: 900px) and (max-height: 514px) {
    #container {
        background-image: url("business-card-kaleina-flat-900.jpg");
        background-position: center center;
    }
}